%define ver 0.7.1
Name: yaala
Summary: A very flexible log file analysis program for a variety of logfiles.
Group: Applications/Internet
Version: %{ver}
Release: 1
Source0: http://yaala.org/files/%{name}-%{ver}.tar.bz2
URL: http://yaala.org/
License: GPL
Requires: perl >= 5.005, webserver
AutoReqProv: no
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-root
Packager: Florian octo Forster <octo@verplant.org>

%description
yaala parses logfiles and generates very detailed statistics in HTML
format. The information one will get can be selected by using SQL-like
expressions, which provide filtering with relational operators as well as
regular expressions. It includes input parsers for the Common Log Format,
NCSA logs, Squid access logs, the xferlog format, bind9's query logs, and
postfix entries in the maillog.

%prep
%setup

%install
rm -fr $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/var/lib/yaala/lib/Data \
         $RPM_BUILD_ROOT/var/lib/yaala/lib/Parser \
         $RPM_BUILD_ROOT/var/lib/yaala/lib/Report

mkdir -p $RPM_BUILD_ROOT/var/www/html/usage \
         $RPM_BUILD_ROOT/etc/cron.daily

install -m 555 yaala $RPM_BUILD_ROOT/var/lib/yaala

install -m 444 lib/*.pm $RPM_BUILD_ROOT/var/lib/yaala/lib
install -m 444 lib/Data/*.pm $RPM_BUILD_ROOT/var/lib/yaala/lib/Data
install -m 444 lib/Parser/*.pm $RPM_BUILD_ROOT/var/lib/yaala/lib/Parser
install -m 444 lib/Report/*.pm $RPM_BUILD_ROOT/var/lib/yaala/lib/Report

install -m 644 sample_configs/common_log.conf $RPM_BUILD_ROOT/var/lib/yaala
install -m 644 webserver.config $RPM_BUILD_ROOT/var/lib/yaala
install -m 444 reports/*.png reports/*.css $RPM_BUILD_ROOT/var/www/html/usage
install -m 755 packaging/yaala.cron $RPM_BUILD_ROOT/etc/cron.daily/00yaala

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG COPYING README README.persistency README.selections
%config(noreplace) /etc/cron.daily/00yaala
/var/lib/yaala
/var/www/html/usage

%changelog
* Thu Sep 25 2003 Florian Forster <octo@verplant.org> 0.7.1
- Changed URLs to point to yaala.org
- rebuilt for version 0.7.1

* Tue Aug 19 2003 Florian Forster <octo@verplant.org> 0.7.0
- rebuilt for version 0.7.0

* Thu Jun 05 2003 Florian Forster <octo@verplant.org> 0.6.7
- Initial build.
